<html>
<head>
<title>OGRE: Ogre::IlluminationPass Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1IlluminationPass.html">IlluminationPass</a></div>
<h1>Ogre::IlluminationPass Struct Reference</h1><!-- doxytag: class="Ogre::IlluminationPass" -->Struct recording a pass which can be used for a specific illumination stage.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePass_8h-source.html">OgrePass.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1IlluminationPass-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#12a2bc4c75c439630241aa279089acb4">IlluminationStage</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1IlluminationPass.html#dde147291fef1bf5e3841c800bde68f0">stage</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1IlluminationPass.html#b5f7c941a2c79525fa9077eb358c628b">pass</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The pass to use in this stage.  <a href="#b5f7c941a2c79525fa9077eb358c628b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1IlluminationPass.html#f9cd19ab72ba8c1906fe4dc2e76de372">destroyOnShutdown</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether this pass is one which should be deleted itself.  <a href="#f9cd19ab72ba8c1906fe4dc2e76de372"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1IlluminationPass.html#6931df999c8161fb6f91d121b0553577">originalPass</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The original pass which spawned this one.  <a href="#6931df999c8161fb6f91d121b0553577"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct recording a pass which can be used for a specific illumination stage. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This structure is used to record categorised passes which fit into a number of distinct illumination phases - ambient, diffuse / specular (per-light) and decal (post-lighting texturing). An original pass may fit into one of these categories already, or it may require splitting into its component parts in order to be categorised properly. </dd></dl>

<p>Definition at line <a class="el" href="OgrePass_8h-source.html#l01305">1305</a> of file <a class="el" href="OgrePass_8h-source.html">OgrePass.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="dde147291fef1bf5e3841c800bde68f0"></a><!-- doxytag: member="Ogre::IlluminationPass::stage" ref="dde147291fef1bf5e3841c800bde68f0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#12a2bc4c75c439630241aa279089acb4">IlluminationStage</a> <a class="el" href="structOgre_1_1IlluminationPass.html#dde147291fef1bf5e3841c800bde68f0">Ogre::IlluminationPass::stage</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePass_8h-source.html#l01307">1307</a> of file <a class="el" href="OgrePass_8h-source.html">OgrePass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b5f7c941a2c79525fa9077eb358c628b"></a><!-- doxytag: member="Ogre::IlluminationPass::pass" ref="b5f7c941a2c79525fa9077eb358c628b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pass.html">Pass</a>* <a class="el" href="structOgre_1_1IlluminationPass.html#b5f7c941a2c79525fa9077eb358c628b">Ogre::IlluminationPass::pass</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The pass to use in this stage. 
<p>

<p>Definition at line <a class="el" href="OgrePass_8h-source.html#l01309">1309</a> of file <a class="el" href="OgrePass_8h-source.html">OgrePass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f9cd19ab72ba8c1906fe4dc2e76de372"></a><!-- doxytag: member="Ogre::IlluminationPass::destroyOnShutdown" ref="f9cd19ab72ba8c1906fe4dc2e76de372" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1IlluminationPass.html#f9cd19ab72ba8c1906fe4dc2e76de372">Ogre::IlluminationPass::destroyOnShutdown</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Whether this pass is one which should be deleted itself. 
<p>

<p>Definition at line <a class="el" href="OgrePass_8h-source.html#l01311">1311</a> of file <a class="el" href="OgrePass_8h-source.html">OgrePass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6931df999c8161fb6f91d121b0553577"></a><!-- doxytag: member="Ogre::IlluminationPass::originalPass" ref="6931df999c8161fb6f91d121b0553577" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pass.html">Pass</a>* <a class="el" href="structOgre_1_1IlluminationPass.html#6931df999c8161fb6f91d121b0553577">Ogre::IlluminationPass::originalPass</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The original pass which spawned this one. 
<p>

<p>Definition at line <a class="el" href="OgrePass_8h-source.html#l01313">1313</a> of file <a class="el" href="OgrePass_8h-source.html">OgrePass.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgrePass_8h-source.html">OgrePass.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:39 2008
</p>
</body>
</html>
